#ifndef LEXICAL_ANALYZER_H
#define LEXICAL_ANALYZER_H

#include "Common.h"

/** 
  * Initialize the lexical analyzer. Open the input file and 
  * create internal data structures.
  * @param fileName path to file that should be analyzed
  */
void				initializeLexicalAnalyzer( const char* fileName );

/** 
  * Get next token from lexical analyzer.
  * @return next token (will be EOF when end of file is reached)
  */
enum TokenType		getNextToken();

#endif
